Oracle Linux 4 / 5 : tar (ELSA-2007-0860)

Medium Nessus Plugin ID 67563


The remote Oracle Linux host is missing a security update.


From Red Hat Security Advisory 2007:0860 :

Updated tar package that fixes a path traversal flaw is now available.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

The GNU tar program saves many files together in one archive and can restore individual files (or all of the files) from that archive.

A path traversal flaw was discovered in the way GNU tar extracted archives. A malicious user could create a tar archive that could write to arbitrary files to which the user running GNU tar had write access.

Red Hat would like to thank Dmitry V. Levin for reporting this issue.

Users of tar should upgrade to this updated package, which contains a replacement backported patch to correct this issue.


Update the affected tar package.

See Also

Plugin Details

Severity: Medium

ID: 67563

File Name: oraclelinux_ELSA-2007-0860.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:tar, cpe:/o:oracle:linux:4, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/08/23

Vulnerability Publication Date: 2007/08/13

Reference Information

CVE: CVE-2007-4131

BID: 25417

OSVDB: 38183

RHSA: 2007:0860